[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: can't upgrade, reinstall or remove hal

Paul Scott wrote:
I'm currently in an upgrade loop related to Hal. Anything I try to do to Hal gives me something like the following. I found there might have been a problem with Splashy that was just fixed but trying to upgrade it doesn't make a difference. I have reloaded all the packages in limbo without any change.
Preparing to replace hal 0.5.12~git20090406.46dc48-1 (using .../archives/hal_0.5.11-8_i386.deb) ... * Stopping Hardware abstraction layer hald [ OK ]
invoke-rc.d: initscript hal, action "stop" failed.
dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
This is a Splasy problem, see bug #522104. Move /etc/lsb-base-logging.sh to some temporary file, then updating hal should work.


Attachment: signature.asc
Description: OpenPGP digital signature

Reply to: